## prog.utili
Class Rettangolo

    java.lang.Object
      prog.utili.Figura
          prog.utili.Rettangolo

Direct Known Subclasses:
  Quadrato

    public class Rettangolo

extends Figura

Le sue istanze rappresentano rettangoli.

Version:
  2.0
Author:
  Giovanni Pighizzini, Mauro Ferrari

Constructor Summary
`Rettangolo(double x, double y)` Costruisce un oggetto che rappresenta un rettangolo, la cui base e la cui altezza hanno le lunghezze fornite, rispettivamente, tramite il primo e il secondo parametro.

Method Summary
`boolean` `equals(java.lang.Object o)` Confronta il rettangolo rappresentato dall'oggetto che esegue il metodo, con l'oggetto di cui viene fornito il riferimento tramite il parametro, restituendo `true` se sono uguali, `false` altrimenti.
`boolean` `equals(Rettangolo altro)` Confronta il rettangolo rappresentato dall'oggetto che esegue il metodo, con il rettangolo di cui viene fornito il riferimento tramite il parametro, restituendo `true` se sono uguali, `false` altrimenti.
`double` `getAltezza()` Restituisce l'altezza del rettangolo rappresentato dall'oggetto che esegue il metodo.
`double` `getArea()` Restituisce l'area del rettangolo rappresentato dall'oggetto che esegue il metodo.
`double` `getBase()` Restituisce la base del rettangolo rappresentato dall'oggetto che esegue il metodo.
`double` `getPerimetro()` Restituisce il perimetro del rettangolo rappresentato dall'oggetto che esegue il metodo.
`java.lang.String` `toString()` Restituisce una stringa che descrive il rettangolo rappresentato dall'oggetto che esegue il metodo.

Methods inherited from class prog.utili.Figura
`haAreaMaggiore, haPerimetroMaggiore`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Rettangolo

    public Rettangolo(double x,
                      double y)

  Costruisce un oggetto che rappresenta un rettangolo, la cui base e la cui altezza hanno le lunghezze fornite, rispettivamente, tramite il primo e il secondo parametro.

  Parameters:
    `x` - la base.
    `y` - l'altezza

Method Detail

### getArea

    public double getArea()

  Restituisce l'area del rettangolo rappresentato dall'oggetto che esegue il metodo.

  Specified by:
    `getArea` in class `Figura`
  Returns:
    l'area del rettangolo.

### getPerimetro

    public double getPerimetro()

  Restituisce il perimetro del rettangolo rappresentato dall'oggetto che esegue il metodo.

  Specified by:
    `getPerimetro` in class `Figura`
  Returns:
    il perimetro del rettangolo.

### getAltezza

    public double getAltezza()

  Restituisce l'altezza del rettangolo rappresentato dall'oggetto che esegue il metodo.

  Returns:
    l'altezza del rettangolo.

### getBase

    public double getBase()

  Restituisce la base del rettangolo rappresentato dall'oggetto che esegue il metodo.

  Returns:
    la base del rettangolo.

### toString

    public java.lang.String toString()

  Restituisce una stringa che descrive il rettangolo rappresentato dall'oggetto che esegue il metodo.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    la stringa che descrive il rettangolo.

### equals

    public boolean equals(Rettangolo altro)

  Confronta il rettangolo rappresentato dall'oggetto che esegue il metodo, con il rettangolo di cui viene fornito il riferimento tramite il parametro, restituendo `true` se sono uguali, `false` altrimenti.

  Returns:
    `true` se e solo se il rettangolo specificato come argomento è uguale a quello che esegue il metodo.

### equals

    public boolean equals(java.lang.Object o)

  Confronta il rettangolo rappresentato dall'oggetto che esegue il metodo, con l'oggetto di cui viene fornito il riferimento tramite il parametro, restituendo `true` se sono uguali, `false` altrimenti.

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    `true` se e solo se l'oggetto specificato come argomento è un rettangolo uguale a quello che esegue il metodo.